Name:           mediawiki-OpenID
Version:        0.8.2
Release:        2.20080521svn35078%{?dist}
Summary:        An extension for OpenID integration

Group:          Applications/Internet
License:        GPLv2+
URL:            http://www.mediawiki.org/wiki/Extension:OpenID
# Each version is only available as a tag in MediaWiki's SVN.
# Commands to create this tarball:
#  svn export -r 35078 http://svn.wikimedia.org/svnroot/mediawiki/trunk/extensions/OpenID/ mediawiki-OpenID-0.8.2
#  tar -czvf mediawiki-OpenID-r35078.tar.gz mediawiki-OpenID-0.8.2
Source0:        mediawiki-OpenID-r35078.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

Requires:       mediawiki >= 1.6
Requires:       php-openid >= 2.0

%description
The extension lets users log in with an OpenID instead of a username and
password. An OpenID is a special URL that people can use to log in to a Web
site. The extension also lets users who have an account on the wiki log in to
other OpenID-aware Web sites with their wiki user page as their OpenID.
Typical uses include:
 * Single-signon between multiple affiliated wikis and other sites. We have
   almost 20 wikis that work together for Wikitravel, and users can login to
   different Wikitravel wikis with their home wiki account.
 * Single-signon across the Internet. Many, many sites now support OpenID,
   including "big names" like Yahoo!, Google, and AOL. Allowing users to login
   with OpenID means one less step for them to contribute to your wiki.
 * Distributed reputation. Logging into a new wiki with the same username as
   you have on another wiki doesn't prove that they're the same person. Logging
   in with your OpenID from the old wiki does. Using OpenID can help build a
   distributed reputation across the wiki world.


%prep
%setup -q
echo 'To complete installation of %{name}, add the following line to LocalSettings.php:

  require_once "$IP/extensions/OpenID/OpenID.setup.php";

for each MediaWiki instance you wish to install %{name} on. Then you need to add a table to your database; the syntax is in

  %{_docdir}/%{name}-%{version}/openid_table.sql

For more installation and configuration information, see http://www.mediawiki.org/wiki/Extension:OpenID' > README.fedora


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/mediawiki/extensions/OpenID
install -cpm 644 *.php $RPM_BUILD_ROOT%{_datadir}/mediawiki/extensions/OpenID


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_datadir}/mediawiki/extensions/OpenID
%doc TODO README README.fedora openid_table.sql



%changelog
* Wed May 21 2008 Ian Weller <ianweller@gmail.com> 0.8.2-2.20080521svn35078
- Update to svn trunk

* Thu Mar 27 2008 Ian Weller <ianweller@gmail.com> 0.8.2-1
- Initial package build.
